Bug 1148408 - Qt4 removal - gwenhywfar
Qt4 removal - gwenhywfar
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Stanislav Brabec
E-mail List
:
Depends on:
Blocks: 1139415 1148397 1148406
  Show dependency treegraph
 
Reported: 2019-08-27 16:56 UTC by Christophe Marin
Modified: 2019-09-11 17:30 UTC (History)
12 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Marin 2019-08-27 16:56:26 UTC
+++ This bug was initially created as a clone of Bug #1148397 +++

Hello,

There are a couple blockers left preventing the removal of Qt4 in openSUSE Tumbleweed.

gwenhywfar is one of them.

The previous submit request was reverted without anyone notifying me, the current state is unknown.

the 4.99.11 beta was released in march and nothing since then.

Is it usable or shall gwenhywfar be dropped from factory?
Comment 1 Wolfgang Bauer 2019-08-27 20:04:01 UTC
(In reply to Christophe Giboudeaux from comment #0)
> +++ This bug was initially created as a clone of Bug #1148397 +++
> 
> Hello,
> 
> There are a couple blockers left preventing the removal of Qt4 in openSUSE
> Tumbleweed.
> 
> gwenhywfar is one of them.
> 
> The previous submit request was reverted without anyone notifying me, the
> current state is unknown.

There is an SR to revert gwenhywfar to the latest stable release 4.20.1 (without Qt4 support) in the devel project too:
https://build.opensuse.org/request/show/726345

That shop finally break this blockage.

> the 4.99.11 beta was released in march and nothing since then.
> 
> Is it usable or shall gwenhywfar be dropped from factory?

4.99.11 is not usable for kmymoney, that only supports the stable version (4.20.1).
Also, kmymoney only supports the stable aqbanking 5, which won't build against the unstable gwenhywfar.
Comment 2 Wolfgang Bauer 2019-08-27 20:05:26 UTC
(In reply to Wolfgang Bauer from comment #1)
> Also, kmymoney only supports the stable aqbanking 5, which won't build
> against the unstable gwenhywfar.

And this also affects gnucash, which will be broken by the unstable gwenhywfar 4.99.
Comment 3 Christophe Marin 2019-08-27 20:36:00 UTC
Thanks. As long as the Qt4 dependency is gone, any solution is fine :)
Comment 4 Christophe Marin 2019-08-27 20:40:14 UTC
So, how come https://build.opensuse.org/request/show/724186 was opened 11 days ago and noone reacted yet?
Comment 5 Stanislav Brabec 2019-08-28 00:52:40 UTC
Yes, it makes sense to revert and submit current gwenhywfar (with Qt4 support disabled) e. g. as gwenhywfar5. The same about aqbanking.
Comment 6 Johannes Engel 2019-08-28 06:45:21 UTC
@sbrabec: I have updated the submit request as https://build.opensuse.org/request/show/726664 to include another bugfix. However, nobody has been reacting on that, neither on my request to add package maintainer role. Is there anything I can do to speed things up?
Comment 7 Stanislav Brabec 2019-08-28 23:39:53 UTC
I am not a maintainer of gwenhywfar nor Office any longer, so I have no permission to approve.

I am a bugowner because I don't have a permission to remove my rule from the Office project.

Tomáš, could you help with the problem?

It would be nice to find more maintainers of this project.


Jason or Dirk, could you take a maintenance of this package?
Jason: It is related to smart cards.
Dirk: You maintain this package in SLE 12.


I support approving of all 4 requests that will finally fix problem of two incompatible APIs of gwenhywfar & aqbanking.

I did the update in the main package as I was not aware of those large API changes.

https://build.opensuse.org/request/show/726664
https://build.opensuse.org/request/show/724252
https://build.opensuse.org/request/show/724198
https://build.opensuse.org/request/show/724197
Comment 8 Jason Sikes 2019-08-30 04:35:51 UTC
(In reply to Stanislav Brabec from comment #7)

> Jason or Dirk, could you take a maintenance of this package?
> Jason: It is related to smart cards.

Since this particular project is related to smart cards and uses Qt I would snap it up right now. I hesitate because the documentation is in German, and I have no experience reading German.
Comment 9 Stanislav Brabec 2019-08-30 15:59:16 UTC
Jason Sikes wrote (comment 8).
> I hesitate because the documentation is in German, and I have no experience
> reading German.

Now we need somebody who can do required changes in the OBS.

To Stephan Barth:

Could you approve requests in the comment 7, remove me from a Bugowner of Office and add jsikes as a maintainer & bugowner of gwenhywfar* and aqbanking*? Thanks.
Comment 10 Johannes Engel 2019-08-30 19:13:23 UTC
(In reply to Jason Sikes from comment #8)
> Since this particular project is related to smart cards and uses Qt I would
> snap it up right now. I hesitate because the documentation is in German, and
> I have no experience reading German.
Happy to help you out here the same way I am doing this for the related aqbanking package. :)
Comment 11 Christophe Marin 2019-09-02 16:24:04 UTC
(In reply to Stanislav Brabec from comment #9)
> Jason Sikes wrote (comment 8).
> > I hesitate because the documentation is in German, and I have no experience
> > reading German.
> 
> Now we need somebody who can do required changes in the OBS.
> 
Only https://build.opensuse.org/request/show/724198 is left afaics, you're the maintainer for this package.
Comment 12 Dirk Mueller 2019-09-04 10:21:35 UTC
seems like all of it is accepted. thanks for working on removing Qt4 from Tumbleweed. long overdue!
Comment 13 Dirk Mueller 2019-09-04 10:21:48 UTC
closing..
Comment 14 Stanislav Brabec 2019-09-11 17:30:36 UTC
Thanks for your work. It also fixed bug 1133369.